Thunderbird for AIX 6.1 on 9114-275 Power4 - Aix

This is a discussion on Thunderbird for AIX 6.1 on 9114-275 Power4 - Aix ; Have installed Firefox 1.5.0.12 off the IBM supplied CD. Would now like to install a mail addon and it would appear Thunderbird is the one for Firefox. Searched the IBM web site for a Thunderbird package similar to the Firefox ...

+ Reply to Thread
Results 1 to 3 of 3

Thread: Thunderbird for AIX 6.1 on 9114-275 Power4

  1. Thunderbird for AIX 6.1 on 9114-275 Power4

    Have installed Firefox 1.5.0.12 off the IBM supplied CD.
    Would now like to install a mail addon and it would appear Thunderbird is
    the one for Firefox.
    Searched the IBM web site for a Thunderbird package similar to the Firefox
    CD ie basic program plus needed dependicies, with no luck.

    Found this site http://www.linkitup.de/ForAIX/Thunderbird/ and downloaded
    " Thunderbird for AIX Optimised for Power "
    file
    " thunderbird-1.5.0.4.en-US.aix4.3.3.0-rs6000-gtk1.tar.bz2 "
    which I presume is the correct version to go with Firefox 1.5.0.12.

    Am confused about the correct dependencies.
    The dependencies mentioned on http://www.linkitup.de/ForAIX/Firefox/ seem to
    be for that version of Firefox and not Thunderbird, especially the lines
    about the AIX 6.1 patch.

    Would appreciate clarification on the dependencies.

    Thanks




  2. Re: Thunderbird for AIX 6.1 on 9114-275 Power4

    Basil Holloway schrieb:
    > Have installed Firefox 1.5.0.12 off the IBM supplied CD.
    > Would now like to install a mail addon and it would appear Thunderbird is
    > the one for Firefox.
    > Searched the IBM web site for a Thunderbird package similar to the Firefox
    > CD ie basic program plus needed dependicies, with no luck.
    >
    > Found this site http://www.linkitup.de/ForAIX/Thunderbird/ and downloaded
    > " Thunderbird for AIX Optimised for Power "
    > file
    > " thunderbird-1.5.0.4.en-US.aix4.3.3.0-rs6000-gtk1.tar.bz2 "
    > which I presume is the correct version to go with Firefox 1.5.0.12.
    >
    > Am confused about the correct dependencies.
    > The dependencies mentioned on http://www.linkitup.de/ForAIX/Firefox/ seem to
    > be for that version of Firefox and not Thunderbird, especially the lines
    > about the AIX 6.1 patch.
    >
    > Would appreciate clarification on the dependencies.


    Thunderbird and Firefox share the same code basis and GUI toolkit.
    Therefor the dependencies may be the same... But my thunderbird 1.5.0.4
    is build against GTK 1.2.10 (like all my Firefox and Seamonkey builds
    too). The Firefox 1.5.0.12 from IBM is a GTK 2.6 build, so they don't
    share the GUI toolkit.
    The patch for running my builds on AIX 6.1 is another issue.
    AIX 6.1' GUI is running on Top of X11R7, AIX 4.3 through 5.3 are running
    X11R6. So the apps are build and linked against X11R6 (IBM's Firefox
    1.5.0.12 too!). On AIX 6.1 you have to install a compatibility package
    and this little patch only make the app find the shared compatibility
    libs, which are not in the default shared lib search path for my builds.

    Next: Firefox and Thunderbird are both standalone apps. All 1.5.x.x
    version suffer from severe security issues. I would recommend my most
    recent Seamonkey build 1.1.9 which is on par with Firefox 2.0.0.13!



    It will work on AIX 6.1 too, you only need the X11R6 compatibility lib's
    path patched into the wrapper script. Look what the patch file does and
    alter the script "/opt/seamonkey/seamonkey" accordingly by hand.

    --
    Uli



  3. Re: Thunderbird for AIX 6.1 on 9114-275 Power4


    "Uli Link" wrote in message
    news:484145ef$0$6551$9b4e6d93@newsspool3.arcor-online.net...
    > Basil Holloway schrieb:
    >> Have installed Firefox 1.5.0.12 off the IBM supplied CD.
    >> Would now like to install a mail addon and it would appear Thunderbird is
    >> the one for Firefox.
    >> Searched the IBM web site for a Thunderbird package similar to the
    >> Firefox CD ie basic program plus needed dependicies, with no luck.
    >>
    >> Found this site http://www.linkitup.de/ForAIX/Thunderbird/ and downloaded
    >> " Thunderbird for AIX Optimised for Power "
    >> file
    >> " thunderbird-1.5.0.4.en-US.aix4.3.3.0-rs6000-gtk1.tar.bz2 "
    >> which I presume is the correct version to go with Firefox 1.5.0.12.
    >>
    >> Am confused about the correct dependencies.
    >> The dependencies mentioned on http://www.linkitup.de/ForAIX/Firefox/ seem
    >> to be for that version of Firefox and not Thunderbird, especially the
    >> lines about the AIX 6.1 patch.
    >>
    >> Would appreciate clarification on the dependencies.

    >
    > Thunderbird and Firefox share the same code basis and GUI toolkit.
    > Therefor the dependencies may be the same... But my thunderbird 1.5.0.4 is
    > build against GTK 1.2.10 (like all my Firefox and Seamonkey builds too).
    > The Firefox 1.5.0.12 from IBM is a GTK 2.6 build, so they don't share the
    > GUI toolkit.
    > The patch for running my builds on AIX 6.1 is another issue.
    > AIX 6.1' GUI is running on Top of X11R7, AIX 4.3 through 5.3 are running
    > X11R6. So the apps are build and linked against X11R6 (IBM's Firefox
    > 1.5.0.12 too!). On AIX 6.1 you have to install a compatibility package and
    > this little patch only make the app find the shared compatibility libs,
    > which are not in the default shared lib search path for my builds.
    >
    > Next: Firefox and Thunderbird are both standalone apps. All 1.5.x.x
    > version suffer from severe security issues. I would recommend my most
    > recent Seamonkey build 1.1.9 which is on par with Firefox 2.0.0.13!
    >
    >
    >
    > It will work on AIX 6.1 too, you only need the X11R6 compatibility lib's
    > path patched into the wrapper script. Look what the patch file does and
    > alter the script "/opt/seamonkey/seamonkey" accordingly by hand.
    >
    > --
    > Uli
    >
    >


    Uli. Thanks for all the trouble you went to with your detailed reply.
    Email sent to you.
    Kind Regards



+ Reply to Thread